btrfs-progs (6.17.1-1build1) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 22 Jan 2026 20:28:27 +0000

btrfs-progs (6.17.1-1) unstable; urgency=medium

  * New upstream release.
  * Make btrfs-progs-udeb usrmerge compliant.
  * Additionally move mkfs.btrfs to /usr/sbin, where it should have been
    installed for consistency with the main bin:btrfs-progs, and also with
    every other mkfs.variant on Debian, and with the FHS--even though this
    is just a udeb.

 -- Nicholas D Steeves <sten@debian.org>  Fri, 07 Nov 2025 14:26:24 -0500

btrfs-progs (6.17-1) unstable; urgency=medium

  * New upstream release.
  * Create gbp.conf to manually set compression type and level to xz:9.

 -- Nicholas D Steeves <sten@debian.org>  Thu, 09 Oct 2025 13:38:07 -0400

btrfs-progs (6.16-2) unstable; urgency=medium

  * Drop support for converting from reiserfs, because reiserfs was dropped from
    Linux during the 6.13 release cycle
    (http://kernel.org/pub/linux/kernel/v6.x/ChangeLog-6.13). Debian 13
    "trixie" included support for converting reiserfs filesystems to btrfs and
    may be used by anyone who wishes to experiment with in-place conversion
    (Closes: #1060069).  Backup and restore or replication continues to be
    recommended over in-place conversion.

 -- Nicholas D Steeves <sten@debian.org>  Sun, 07 Sep 2025 16:03:07 -0400

btrfs-progs (6.16-1) unstable; urgency=medium

  * New upstream release.
  * Fix indentation of Build-Depends.
  * Upload to unstable.

 -- Nicholas D Steeves <sten@debian.org>  Wed, 13 Aug 2025 15:05:57 -0400

btrfs-progs (6.15-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Nicholas D Steeves <sten@debian.org>  Mon, 23 Jun 2025 22:11:29 -0400

btrfs-progs (6.14-1) unstable; urgency=medium

  * New upstream release.

 -- Nicholas D Steeves <sten@debian.org>  Thu, 17 Apr 2025 17:19:49 -0400

btrfs-progs (6.12-1) unstable; urgency=medium

  * Salvage package (Closes: #1088329).
  * New upstream release (Closes: #1074237, #1060380).
  * Migrate from obsolete pkg-config to pkgconf.
  * Update symbols.
  * Add myself to d/copyright.
  * Add missing copyright and BSD-2-clause license for xxHash (this is a
    technical RC issue for license-compliance in the binary packages).
  * Move VCS back to Salsa (Debian group, which was historically
    collab-maint).
  * Drop the libext2fs hack (unneeded with this upstream version).
  * Revert "Bump dependency on libext2fs-dev"; it's unneeded and unnecessarily
    complicates backporting.
  * Drop "single-debian-patch" source option, because it makes the Archive and
    source package view unnecessarily opaque.
  * Restore d/copyright record of the IETF Trust's assets; they're licensed as
    TLP-4.
  * Document STRATO AG's copyright.
  * Do complete copyright review because our d/copyright failed to document
    more than 10 upstream-documented contributors as well a number of missing
    licenses.
  * Ignore lintian's "E: btrfs-progs-udeb udeb: aliased-location" as a matter
    of team solidarity
    https://lists.debian.org/debian-boot/2024/12/msg00121.html
  * Declare Standards-Version 4.7.0 (no changes required).

 -- Nicholas D Steeves <sten@debian.org>  Fri, 20 Dec 2024 16:03:14 -0500

btrfs-progs (6.6.3-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch Build-Depends from udev to systemd-dev (Closes: #1065385)
  * Install files into UsrMerged layout (DEP17 M2) (Closes: #1073073)

  [ Peter Michael Green ]
  * Change inode_includes to ext2fs_inode_includes (Closes: #1071297)
  * Bump dependency on libext2fs-dev.

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 12 Jun 2024 21:22:17 +0200

btrfs-progs (6.6.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062030

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 05:21:59 +0000

btrfs-progs (6.6.3-1) unstable; urgency=medium

  * New upstream release (closes: #1055372).
  * Add B-Dep on python3-sphinx-rtd-theme, required for building docs.
  * Fix failure to build twice in a row (closes: #1044007).
  * Query udevdir via pkg-config, fixing FTBFS (closes: #1057231).
  * Build with support for converting from reiserfs (closes: #1030950).
  * Temporarily move the VCS to sr.ht
  * Slightly improve description.
  * Standardize debian/rules somewhat.

 -- Adam Borowski <kilobyte@angband.pl>  Fri, 29 Dec 2023 19:03:32 +0100

btrfs-progs (6.3.2-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Adam Borowski <kilobyte@angband.pl>  Sat, 24 Jun 2023 22:12:17 +0200

btrfs-progs (6.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop pre-buster breaks.

 -- Adam Borowski <kilobyte@angband.pl>  Sun, 11 Jun 2023 21:10:24 +0200

btrfs-progs (6.2-1) unstable; urgency=medium

  * New upstream release.

 -- Adam Borowski <kilobyte@angband.pl>  Wed, 01 Mar 2023 00:17:49 +0100

btrfs-progs (6.1.3-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Adam Borowski <kilobyte@angband.pl>  Sun, 05 Feb 2023 11:16:44 +0100

btrfs-progs (6.1.2-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Adam Borowski <kilobyte@angband.pl>  Sun, 08 Jan 2023 01:37:24 +0100

btrfs-progs (6.1.1-1) unstable; urgency=medium

  * New upstream bugfix release, reverts changes that broke btrbk, snapper
    and more (closes: #1027785, #1027628).
    This will break programs that have already adapted to the changes. 🫤

 -- Adam Borowski <kilobyte@angband.pl>  Thu, 05 Jan 2023 03:44:03 +0100

btrfs-progs (6.1-1) unstable; urgency=medium

  * New upstream release.

 -- Adam Borowski <kilobyte@angband.pl>  Fri, 23 Dec 2022 00:53:24 +0100

btrfs-progs (6.0.2-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Adam Borowski <kilobyte@angband.pl>  Sat, 26 Nov 2022 03:44:06 +0100

btrfs-progs (6.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Spaces→tabs [Jelmer Vernooĳ].

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 08 Nov 2022 18:09:00 +0100

btrfs-progs (6.0-1) unstable; urgency=medium

  * New upstream release.
  * Trim debian/copyright wrt files removed upstream.

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 11 Oct 2022 12:24:00 +0200

btrfs-progs (5.19.1-1) unstable; urgency=medium

  * New upstream release (closes: #1020233).

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 13 Sep 2022 21:03:02 +0200

btrfs-progs (5.19-1) unstable; urgency=medium

  * New upstream release.

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 16 Aug 2022 16:29:29 +0200

btrfs-progs (5.18.1-1) unstable; urgency=medium

  * New upstream release.

 -- Adam Borowski <kilobyte@angband.pl>  Thu, 09 Jun 2022 19:13:14 +0200

btrfs-progs (5.18-1) unstable; urgency=medium

  * New upstream release.
  * Drop an obsolete Breaks.

 -- Adam Borowski <kilobyte@angband.pl>  Thu, 26 May 2022 01:02:16 +0200

btrfs-progs (5.17-1) unstable; urgency=medium

  * New upstream release.
  * Switch from asciidoc[tor] to sphinx.

 -- Adam Borowski <kilobyte@angband.pl>  Wed, 04 May 2022 16:07:45 +0200

btrfs-progs (5.16.2-1) unstable; urgency=medium

  * New upstream release.
    + Fix warning on deleting a subvolume as non-root (closes: #998840).
  * Drop pre-oldstable Breaks/Replaces.
  * Install udev rules in initramfs hook (closes: #1000961).

 -- Adam Borowski <kilobyte@angband.pl>  Thu, 24 Feb 2022 18:39:55 +0100

btrfs-progs (5.15.1-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Adam Borowski <kilobyte@angband.pl>  Wed, 01 Dec 2021 00:29:38 +0100

btrfs-progs (5.15-1) unstable; urgency=medium

  * New upstream release.
  * Add B-Dep on libudev-dev.
  * Add Build-Depends-Package for libbtrfs.
  * Drop an unused pattern and license from the copyright file.
  * Enable hardening.

 -- Adam Borowski <kilobyte@angband.pl>  Sun, 07 Nov 2021 00:17:40 +0100

btrfs-progs (5.14.1-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 21 Sep 2021 21:06:14 +0200

btrfs-progs (5.14-1) unstable; urgency=medium

  * New upstream release.
  * Drop breaks on pre-Buster btrbk.
  * Delete symbols from libbtrfs except those used by snapper.  Per
    upstream, there's no soname bump.

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 13 Sep 2021 07:17:40 +0200

btrfs-progs (5.13.1-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Drop handling of early-bullseye-unstable libgcc-s1.

 -- Adam Borowski <kilobyte@angband.pl>  Thu, 26 Aug 2021 17:21:52 +0200

btrfs-progs (5.13-1) experimental; urgency=medium

  * New upstream release.
  * Don't depend on libgcc-s1 on hppa.  Closes: #990324

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 13 Jul 2021 15:19:33 +0200

btrfs-progs (5.10.1-2) unstable; urgency=medium

  * Fix failure to add new devices via a devmapper path.  Closes: #982990

 -- Adam Borowski <kilobyte@angband.pl>  Fri, 14 May 2021 02:52:17 +0200

btrfs-progs (5.12.1-1) experimental; urgency=medium

  * New upstream release.
  * Mention relicensing of libbtrfsutil to LGPL in debian/copyright

 -- Adam Borowski <kilobyte@angband.pl>  Fri, 14 May 2021 01:55:00 +0200

btrfs-progs (5.11.1-1) experimental; urgency=medium

  * New upstream bugfix release.

 -- Adam Borowski <kilobyte@angband.pl>  Fri, 26 Mar 2021 08:12:36 +0100

btrfs-progs (5.11-1) experimental; urgency=medium

  * New upstream release.
  * Drop libmount-dev from B-Deps again.
  * Install libbtrfsutil.pc

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 08 Mar 2021 00:05:00 +0100

btrfs-progs (5.10.1-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Adam Borowski <kilobyte@angband.pl>  Sat, 06 Feb 2021 00:04:21 +0100

btrfs-progs (5.10-1) unstable; urgency=medium

  * New upstream release.
  * Add libmount-dev to B-Deps.

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 19 Jan 2021 00:17:58 +0100

btrfs-progs (5.9-1) unstable; urgency=medium

  * New upstream release.

 -- Adam Borowski <kilobyte@angband.pl>  Fri, 23 Oct 2020 21:22:35 +0200

btrfs-progs (5.7-1) unstable; urgency=medium

  * New upstream release.
  * Hardcode dependency on modern libgcc-s1 + breaks: old initramfs-tools,
    to avoid extra moving parts.
  * Don't declare initramfs trigger ourselves (done by dh_installinitramfs).

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 06 Jul 2020 01:07:42 +0200

btrfs-progs (5.6-1) unstable; urgency=medium

  * New upstream release.
  * Versioned symbols.
  * Slightly improve long descs.
  * Drop old -dbgsym migration.
  * Don't skip scan if modprobe fails (eg. due to built-in).
    Closes: #956174.

 -- Adam Borowski <kilobyte@angband.pl>  Fri, 10 Apr 2020 00:59:59 +0200

btrfs-progs (5.4.1-2) unstable; urgency=medium

  * Declare Breaks: on versions of libgcc-s1 that produce bad initramfs.
    Closes: #950556.

 -- Adam Borowski <kilobyte@angband.pl>  Sat, 15 Feb 2020 16:52:17 +0100

btrfs-progs (5.4.1-1) unstable; urgency=medium

  * New upstream release.

 -- Adam Borowski <kilobyte@angband.pl>  Thu, 09 Jan 2020 17:51:50 +0100

btrfs-progs (5.4-1) unstable; urgency=medium

  * New upstream release.

 -- Adam Borowski <kilobyte@angband.pl>  Wed, 04 Dec 2019 19:16:40 +0100

btrfs-progs (5.3.1-1) unstable; urgency=medium

  * New upstream point release.
  * Update symbols -- they're versioned upstream now.

 -- Adam Borowski <kilobyte@angband.pl>  Sun, 03 Nov 2019 00:37:33 +0100

btrfs-progs (5.3-1) unstable; urgency=medium

  * New upstream release.
  * Fix FTBFS with new asciidoctor.
  * Update symbols.

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 21 Oct 2019 18:01:05 +0200

btrfs-progs (5.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Fix an option-parsing crash on btrfs check -E (Closes: #916538).
  * Avoid patching the Makefile.
  * Remove references to btrfs-tools (gone since before Stretch).

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 29 Jul 2019 02:59:05 +0200

btrfs-progs (5.2-1) unstable; urgency=medium

  * New upstream release.
  * Install mkfs.btrfs to /sbin (Nicholas D Steeves; closes: #911623).
  * Fix a printf format-security fatal warning.

 -- Adam Borowski <kilobyte@angband.pl>  Sun, 07 Jul 2019 23:33:26 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog btrfs-progs`.
